New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

formula_installer: allow version mismatched build deps #2954

Merged
merged 1 commit into from Jul 27, 2017

Conversation

Projects
None yet
2 participants
@ilovezfs
Copy link
Contributor

ilovezfs commented Jul 27, 2017

  • Have you followed the guidelines in our Contributing document?
  • Have you checked to ensure there aren't other open Pull Requests for the same change?
  • Have you added an explanation of what your changes do and why you'd like us to include them?
  • Have you written new tests for your changes? Here's an example.
  • Have you successfully run brew tests with your changes locally?

Only check runtime dependencies for version conflicts to avoid
having to create unnecessary duplicate formulae.

For example, a formula that needs to be built with ghc@8.0 should still
be allowed to have a build-time dependency on a cabal-install that was
itself built with ghc@8.2.

formula_installer: allow version mismatched build deps
Only check runtime dependencies for version conflicts to avoid
having to create unnecessary duplicate formulae.

For example, a formula that needs to be built with ghc@8.0 should still
be allowed to have a build-time dependency on a cabal-install that was
itself built with ghc@8.2.

@ilovezfs ilovezfs merged commit 867590b into Homebrew:master Jul 27, 2017

3 checks passed

codecov/patch 100% of diff hit (target 66.55%)
Details
codecov/project 66.55% (+<.01%) compared to 021729e
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@Homebrew Homebrew locked and limited conversation to collaborators May 4, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.